spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Prashant Sharma <scrapco...@gmail.com>
Subject Re: Is it safe to use Scala 2.11 for Spark build?
Date Tue, 18 Nov 2014 07:46:36 GMT
Looks like sbt/sbt -Pscala-2.11 is broken by a recent patch for improving
maven build.

Prashant Sharma



On Tue, Nov 18, 2014 at 12:57 PM, Prashant Sharma <scrapcodes@gmail.com>
wrote:

> It is safe in the sense we would help you with the fix if you run into
> issues. I have used it, but since I worked on the patch the opinion can be
> biased. I am using scala 2.11 for day to day development. You should
> checkout the build instructions here :
> https://github.com/ScrapCodes/spark-1/blob/patch-3/docs/building-spark.md
>
> Prashant Sharma
>
>
>
> On Tue, Nov 18, 2014 at 12:19 PM, Jianshi Huang <jianshi.huang@gmail.com>
> wrote:
>
>> Any notable issues for using Scala 2.11? Is it stable now?
>>
>> Or can I use Scala 2.11 in my spark application and use Spark dist build
>> with 2.10 ?
>>
>> I'm looking forward to migrate to 2.11 for some quasiquote features.
>> Couldn't make it run in 2.10...
>>
>> Cheers,
>> --
>> Jianshi Huang
>>
>> LinkedIn: jianshi
>> Twitter: @jshuang
>> Github & Blog: http://huangjs.github.com/
>>
>
>

Mime
View raw message